Tune Sweeper - What are the minimum system requirements for Tune Sweeper?

Wide Angle Software Customer Support


What are the minimum system requirements for Tune Sweeper?

4 (1 Vote)4 (1 Vote)4 (1 Vote)4 (1 Vote)4 (1 Vote) Average: 4 (1 Vote).

Windows Version

Tune Sweeper runs under Microsoft Windows XP, Vista, Windows 7 or Windows 8. 32-Bit and 64-Bit versions of Windows are supported. Tune Sweeper runs under Microsoft .Net Framework version 3.5. (The Tune Sweeper installer will detect if you do not have this installed and offer to install it for you.) Tune Sweeper requires iTunes 9 or higher to be installed on your computer.

Mac Version

The Mac App store version of Tune Sweeper needs OSX version 10.7. Tune Sweeper requires iTunes 9 or higher to be installed on your computer.

Back to Tune Sweeper Support
Name: Email:
As a security check, please complete the reCAPTCHA below:
*Your email address will not be displayed or shared. Please do not include personal information or purchase information such as your activation code or the email address used to purchase. For added security, comments may need to be validated by our support team before they are displayed.

Latest Comments

Rian van Loggerenberg wrote...
I have Windows 7 64 bit OS and I bought and installed Tune Sweeper 4. The installer saved the app in the 32 bit Program Files (x86) section even though my OS clearly is 64 bit. There is nowhere on your website where one can choose the 64 bit version explicitly. I am also having issues with TS when trying to fix track info. It has crashed twice with a report dialogue coming up to send to Wide Angle. I have the latest iTunes installed. My music collection has under 30000 songs. BTW: why does TS not report the number of files that it finds are incomplete?
Please advise
Wide Angle Software wrote...
@Rian van Loggerenberg Tune Sweeper 4 is only available as a 32-bit download. It will still be compatible with 64-bit versions of Windows. I have flagged Tune Sweeper not reporting the number of incomplete files found as an improvement for a future update.

Please open a support ticket on our online helpdesk stating the time and date that your error report was sent. This will enable us to assist with this issue.
Mark wrote...
Tune Sweeper 4 will not run on OSX 10.7.5 MacMini. Min requirements stated 10.7.
Whats the problem?
Wide Angle Software wrote...
@Mark Please contact our helpdesk with this issue with further details about the problem. Please check you have the latest version of Tune Sweeper and iTunes installed.
Martin Cohen wrote...
When I downloaded TuneSweeper, is said I needed OS X 10.8. I have 10.7. What should I do? I will not upgrade.
Wide Angle Software wrote...
@Martin Cohen Please can you contact our Helpdesk for further assistance.
Robert Nevin wrote...
Installed tune sweeper. Duplicates scrubbing worked well. Missing Art work repeatedly crashes software. Any suggestions.

Wide Angle Software wrote...
@Robert Nevin Please contact our support team for more assistance here... http://www.wideanglesoftware.com/cgi-bin/ttx.cgi